html {
  font-size: 62.5%;
  font-family: "RALEWAY-LIGHT" !important;
}

body {
  overflow-x: hidden;

  color: $black-abs;
}

* {
  box-sizing: border-box;
  font-family: "RALEWAY-LIGHT";
}

hr {
  border: 0;
  width: 100%;
  background: $white;
  height: 1px;
  margin: 1rem 0;
}

img {
  max-width: 100%;
  display: block;
}

a {
  color: $color-base;
  @include state() {
    color: inherit;
    text-decoration: none;
  }
}

input {
  @include state {
    outline: none;
  }
}

input,
textarea,
select {
  @extend %input;
}

textarea {
  resize: none;
}

*:focus {
  outline: none !important;
}

.hidden {
  display: none;
}

::selection {
  color: $white;
  background: $black-abs;
}

.toast-top-right {
  top: 56px !important;
  right: 12px;
}

a[href^="tel"] {
  color: inherit;
  text-decoration: none;
}

.sweet-alert {
  button {
    text-transform: uppercase;
    font-size: 14px;
    margin: 0 0.5rem;
    border-radius: 0;
  }

  fieldset {
    display: none;
  }
}

.ribbon {
  position: absolute;
  width: 10rem;
  text-align: center;
  background-color: transparent;

  z-index: z("ribbon");
  top: 1.5%;
  font-size: 1.1rem;
  line-height: 2rem;
  padding: 0.4rem 1.4rem;
  font-weight: 700;
  text-transform: uppercase;

  span {
    position: relative;
    z-index: 100;
    font-family: PlayFair;
    font-variant-numeric: lining-nums;
  }

  &:after {
    content: "";
    display: inline-block;
    border-top-width: 2.8rem;
    border-top-style: solid;
    border-left: 0px;
    height: 0;
    min-width: 6.8rem;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
  }
}
.dark-grey {
  background-color: #5d5d5d;
  color: #fff;
}
.dark-grey.ribbon {
  background-color: transparent;
}
.dark-grey.ribbon:after {
  border-top-color: #5d5d5d;
}

.height-28 {
  height: 28px !important;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
